Subject: [FFML] [Fanfic][Ranma] To Walk a Mile - Chapter 6

From: "Rebecca Thornton" <[email-masked]>
Date: Wed, 25 Apr 2007 19:22:05 +1000

The latest versions of previous chapters can be found at
http://www.fanfiction.net/~rmt.
Updates will probably be a little slow on this fic from now on.  It does
have some problems, and it will take a little time to work out if / how I'm
going to address them.  C&C is, of course, very welcome, and will probably
help me decide how to tackle some of the fic's issues.  Just don't start
telling me to spell like a yankee!  ^_^

Disclaimer:  I don't own and didn't create Ranma ½ or any of these
characters.

+++++++++++++++++++++++++++

Chapter Six: Things Fall Apart

The wind howled and lashed at the little tent, making its sides flap
like the sails of an old sailing ship.  Ryouga sat as far from the
entrance as he could, his knees drawn up against his chest.
Periodically, the wind would catch the tent flap and tug it aside,
giving him glimpses of the cloaked figure scurrying about in the pelting
rain outside.

At least he was inside, safe from the storm.  He dreaded turning back
into that... thing... again, but he knew he would, sooner or later.
Ranma and Tarou couldn't keep an eye on him forever, and before long
he'd get lost, and then it would rain, and then he'd turn into that
monster again.  And then he'd feel them, all those different creatures,
with their flight instincts and their survival urges, their different
fears and hungers; an endless cacophony of contradicting voices all
screaming inside his head.

He let his forehead sink onto his knees and squeezed his eyes shut.  It
didn't matter whether he got lost now anyway.  He still didn't know the
way back to the shrine, and without that water, they were all stuck with
their new curses.  It was hopeless.

The sound of the tent flap being pushed aside jolted him from his
thoughts.  He opened his eyes.

"I think I found everything."  Tarou dropped the bowls, water bottles,
kettle and cooking pot that he'd been carrying into the corner, and then
zipped the tent closed.  He shrugged off his cloak, carelessly spraying
water droplets throughout the tent.

"Hey, watch it!" Ryouga growled.

"Oh, I'm sorry," the Chinese boy smirked.  "You're not afraid of a
little water, are you?"  He waved his cloak at Ryouga, almost playfully.

"Stop it!  I'll destroy the tent if I change inside!"

"Calm down."  Tarou bundled up his cloak and tossed it into the corner.
"There wasn't enough water to change you."

Ryouga glared at the Chinese martial artist.  That hadn't been very
nice, teasing him like that.  "It's all your fault anyway."

Tarou raised an eyebrow.  "So I control the weather now?"

"If you hadn't been chasing Happousai, I wouldn't have this horrible
curse!"

"And I wouldn't have this one if you hadn't been carting around that
water without knowing what it did!"  Tarou dropped onto his knees and
began to rummage through a backpack.  "Face it.  You didn't know what
that old man meant.  If I hadn't come along - and believe me, I wish I
hadn't - you two would have used it on yourselves.  All that'd be
different is you'd have ended up with fem-boy's curse instead of mine."

Ryouga stared.  He could have had Ranma's curse... the girl curse!  Oh,
what he wouldn't give to have a curse that let him stay human!  So what
if he had to deal with the likes of Kunou and Happousai?  He could cope
with that, if it meant he didn't turn into a potential meal or a child's
pet or a walking abomination.

He noticed Tarou peering at him quizzically, his head cocked slightly to
one side.

"What?"

The Chinese boy smiled unpleasantly.  It was the kind of smile that set
Ryouga's teeth on edge, one that had absolutely nothing to do with
friendliness or good humour.  "Nothing," he smirked.  He extracted a
small, portable gas stove from the bottom of the backpack and sat it on
the ground next to him, and then started to fill the kettle from a water
bottle.

Ryouga soon tired of watching him and lay down in his bedroll, his hands
clasped behind his head in a confident pose that he did not feel.
Before long, he heard the other boy finish what he was doing and do the
same.

He felt on edge, in the same way that he always did when he was stuck in
his piglet form in the woods after dark; that pervading sense of unease
of waiting for the fox to cry, or for the twig to snap.  It had to be
the storm, kept separate from him by only a flimsy sheet of canvas.  Or
the beast inside him, waiting only for a splash of cold water so it
could be released.  Or knowing that there was nothing he could do to put
things right, that he wouldn't find that shrine again even if he
wandered for the rest of his life.

He closed his eyes and allowed his attention to drift back to the sounds
of the wind and rain outside.  The wind had lessened, by the sound of
it.  At least it was no longer threatening to blow the tent away.

"Uh, Tarou," Ryouga said, "how far away is that village that Ranma went
to?"

"You should know.  You were there."

"Yes, but how far is it?" Ryouga grumbled.  "He left this morning.
Shouldn't he be back by now?"

"I expected him back several hours ago, actually."

"Something might have happened."

"To fem-boy?  I doubt it."

Ryouga considered this for a moment.  Ranma could survive just about
anything, but it was raining.  He'd be in pig form.  And there was only
another hour or so until nightfall.

He was distracted from his thoughts by sounds of the other boy moving
around, the backpack rustling, and metal clanking against porcelain.  He
rolled onto his side, to see the Chinese boy watching him over the top
of a cup of tea.

"Is there enough for me?" Ryouga asked flatly.

Tarou gazed down at him disapprovingly for several moments, and then
held out an empty cup with his free hand, jiggling it back and forth in
his fingers as he waited for the other boy to take it.  Ryouga sighed
and poured himself a cup of tea.  There had to be something he could do.
He wasn't used to having company on his training journeys.  The silence
felt awkward, but to break it he'd have to talk to the Chinese boy, and
he didn't want to do that either.

If only he had his backpack.  If only he had his pens and paper, he
could write a letter to Akari.  It didn't matter how dark the world
seemed, how lost and alone he felt, just writing to her - or thinking
about her - was enough to make him feel warm inside.  He couldn't just
hide from her forever.  Sooner or later, he'd have to tell her what
happened - once he figured out a way of doing it, that is.  First, he'd
have to find his way back to her farm - much easier said than done, of
course - and then...

"Oh Ryouga!" she'd cry.  "You're back!"

She would race towards him with arms outstretched, the way she always
did... the way Akane had used to do in his dreams.  It wouldn't matter
whether she'd been in the middle of training Katsunishiki, drinking tea
with her father or feeding the pigs, she would drop it and fly out to
greet him with a huge smile on her beautiful face.

Sometimes it all seemed too good to be true.
She'd wrap her arms around him, her cheek resting against his chest and
her tiny hands pressed into the middle of his back.  She always felt so
small and soft and fragile in his arms, like a little mouse cupped in
his hand, its heartbeat fluttering against his palm.  He had to be so
careful; if he forgot his strength even for a second, he would crush
her.  He would never, ever forgive himself if anything happened to her.

But how was he supposed to tell her about his new curse?  And how would
she react?  Would she scream?  Run away?  Send him away?  Or maybe she'd
say the one thing he feared the most, the thing that deep in his heart
he knew was true.

"I only loved you because you were a pig."

No!  Akari!  How could he bear it?  He thought he'd found someone who
could love him despite his curse!  How could he go back to being alone?
Oh, his poor heart!

"Who's Akari?"

Ryouga froze.  Had he spoken out loud?  "She's m-my..."  He twiddled his
index fingers together awkwardly.  "She's my girlfriend."  For the
moment, anyway.

"Girlfriend?" Tarou snorted.  He seemed annoyed.  He settled back down
onto his bedroll, hands clasped behind his head, and smiled slyly.  "Did
you finally get sick of playing pet piggy for fem-boy's girl?"

Ryouga felt his blood rush to his face.  "What did you say?" he said
menacingly, clenching his fists.

Tarou simply chuckled in reply.

"You take that back!" Ryouga roared as he launched himself at the other
boy, fist cocked.  His knuckles thudded into the bedroll where Tarou's
head had been only a fraction of a second earlier.

"Did I hit a nerve?" the Chinese boy chuckled from behind him.

"Shut up!  What else has Ranma told you?"

Ryouga raised his fist and lunged towards Tarou again.  The Chinese boy
nimbly avoided the blow and landed crouching in the corner, facing way
from the lost boy.  Ryouga spotted the opening at once and took it.  He
was going to wipe that smirk off the other boy's face once and for all.
It would be easy in here; Tarou might be fast, but trapped in the tent
Ryouga had the advantage.

As Ryouga rushed in, Tarou spun around and smirked.  It took Ryouga a
moment to realise what the other boy was holding in his hand.  Tarou
waved the water bottle back and forth threateningly, causing a few drops
to splash out of the open neck.  Ryouga froze, his mind racing and his
fist still poised to strike.

"What are you going to do?  Splash me in here?"  Ryouga hoped that Tarou
hadn't heard the tremor in his voice.

"Afraid?" the Chinese boy sneered.

Ryouga blinked.  Had Tarou's hand wavered for a moment?  "You won't do
it," he added, more confidently.  "I defeated you before and I will do
it again."

Tarou's jaw tensed.  "Even if you did," he said acidly, "you've got
nowhere to go afterwards.  It's still raining.  You won't be able to
change back."

It was true, Ryouga realised.  Slowly, he let his fist drop, keeping his
eyes firmly fixed on the other boy.  Eventually, Tarou did the same, and
Ryouga let out a deep breath that he hadn't even realised he'd been
holding.  Even so, he didn't turn his back on the other boy until the
lid had been firmly screwed back onto the water bottle.

Ryouga dropped back onto his bedroll in a cross legged position and
watched Tarou do the same.  A strong gust of rain-drenched wind whipped
against the tent, causing the sides to billow in alarmingly.  The storm
didn't show any signs of letting up.  Ranma was out there...
somewhere... in pig form.  He might be in trouble.

Ryouga glanced around the tent, looking for his umbrella.  He couldn't
see it, but then again he hadn't seen it previously either.  An umbrella
wouldn't be much protection against horizontal rain anyway.

He spotted Tarou's cloak lying bundled up in the corner.  "How
waterproof is that?" he asked, pointing.

"Pretty much."  Tarou's eyes narrowed suspiciously.  "Why?"

"I'm going to look for Ranma," Ryouga said, making his way to the
entrance.  He reached for the cloak.

The Chinese boy stomped a foot down on top of the cloak as if that could
prevent Ryouga from taking it. "Oh, no you don't," he snapped.  "It took
a week to find you last time you went wandering."

"Come with me then."

"What?" Tarou sneered.  "And get turned into a girl?"

"You can fit inside the tent to get changed back.  I can't."

"And have you ogle me while I do?  No, I'll go by myself."

Ryouga opened his mouth to reply with an angry retort, but before he
could, Tarou had grabbed the cloak, wrapped it around himself and left.
He hadn't even bothered to close the tent flap behind him.  The wind
gusted again, spattering raindrops into the tent.  Ryouga backed away
carefully.  He couldn't risk transforming inside.

Even if the Chinese boy hadn't splashed him, he could have easily
wrecked the tent during their fight.  So often, he forgot his own
strength when he was fighting.  Ryouga wrapped his arms around his knees
and hugged them to his chest.  It was all Tarou's fault.  He shouldn't
have said what he had about Akane and P-Chan... even if it was true.

---

Ryouga awoke with a start.  He was being watched; he could sense it.
Instinctively, he clenched a fist - it wasn't the first time that
thieves had decided that a lone teenage boy was a tempting target - but
he relaxed it again when he remembered where he was.

He reached for the torch beside him, and turned it on.

"Aah!" Ranma squawked, shoving the torch away from his face.  "You
coulda warned me!"

Ryouga placed the torch down on the ground.  There was barely enough
light to see by, but it was enough.

"Ranma?"  Ryouga sat up in bed.  The storm had ended, by the sound of
it, but he could still hear the sound of raindrops pattering gently
against the canvas.  "B-but it's still raining.  How did you...?"  He
trailed off when he noticed Ranma's grin, and the wet, half-open
umbrella in the pigtailed boy's hand.  It was pink with ridiculously
cute, yellow ducklings all over it.  "Suits you," the lost boy added,
smirking.

"Shut up," Ranma grumbled.  "It was the only one they had left."  He
tossed the umbrella into the corner and began unfastening his shirt.  "I
shoulda got a torch, too.  Could hardly see a thing out there."

"Did you find out anything?"

"What?"  For a moment, Ranma seemed rattled, but he quickly recovered.
"Oh, you mean the old ghoul?  Nah.  She said she might be able to help
if I told her the name of the place though."

Ryouga felt a surge of guilt.  He had known the name of the shrine, had
seen the sign over the door with its name, but he couldn't remember it.
Things could be okay, if only he could remember.

Ranma stripped off his shirt and gave it a sniff.  He shot it a look of
disgust and tossed it into the corner.  "Where's Tarou gone?"

Ryouga glanced over towards the empty bedroll at the far side of the
tent.  "I don't know," he said.  "He was here when I went to sleep."

Ranma tugged off his pants, and then held them aloft between a thumb and
forefinger.

"Yes, they stink," Ryouga said, wrinkling his nose.  "Why don't you wash
them?"

"Guess I'll have to."  The pants were added to the growing pile in the
corner.  "I'll need hot water to do it.  Hooves aren't that good at
stuff."

Ryouga snorted.  "Tell me about it."

"I s'pose you would know about it," the pigtailed boy murmured.  He sat
down crosslegged beside Ryouga and rubbed at his chin pensively.  For a
long while, he seemed like he was about to speak, but he didn't.

Ryouga soon became fed up with waiting.  "Why are you so late back?"

Ranma folded his arms across his chest.  "It's a school day.  I had to
wait for Nabiki to get home, didn't I?"

Ryouga blinked.  "You don't have to be so defensive."

"I ain't bein' defensive!" the pigtailed boy snapped.

"Whatever you say, Ranma," Ryouga sighed.  He lay back down in his
bedroll and pulled the blanket back over himself.  "Turn the light off
when you're done, okay?"

"Hmm?  Oh, sure."

---

Tarou opened his eyes.  He hadn't been asleep, but in a half-dozing,
half-awake state that might have been pleasant if he hadn't been curled
up uncomfortably under a tree.  His neck was stiff, and his legs ached
from being tucked up inside the cloak, out of the rain, for most of the
night.  He rearranged his cloak around him and allowed his legs to
stretch out for a while.

How long had he been out here?  He could see the faint glimmerings of
dawn on the horizon, so it must have been... five hours... six?  His
thoughts drifted back to that soft, warm bedroll in the tent that he
could have slept in.  It hadn't taken him long to get used to that, had
it?  Or the tent.  Or the company.  A couple of nights of sleeping rough
like he was used to should cure him of that.

He worked his way to his feet and yawned, stretching.  At least it had
stopped raining.  It never rained this much in Qinghai, and these sudden
downpours and storms were becoming annoying.

Tarou slung his cloak over his shoulder and strode off through the
trees, not caring where he went as long as it was away from the
campsite.  He didn't want to go back there until he felt more like
himself, and he certainly didn't need to put up with the ex-pig-boy
whinging because his little ex-fem-boy friend hadn't returned yet.  He
couldn't stay away too long, though.  With the rain finished, the
directionless idiot might take it into his head to go searching by
himself, and then he'd get lost, and there'd be no hope of Tarou getting
his monster body back...

Tarou quickly buried the thought.  Still, if Ranma hadn't returned, he
should probably go and search for him again... only to keep the ex-pig-
boy from complaining, of course.  And it wasn't like he was stuck with
the girl curse, he reminded himself.  All he needed to do was go back to
Jusenkyou and get himself re-cursed, like he had planned earlier.  It
wouldn't be hard.  All he'd have to do is swim to China, walk west to
Qinghai, and try to avoid all of the powerful, dangerous people in the
area that he'd managed to piss off over the years.  The ones he probably
wouldn't be able to defeat without his monster form.  The ones who would
try to take advantage of his weak girl body.  They might even try to...

No.

He squashed that line of thought, too.  It seemed like he'd been doing
that a lot lately.  Strange.

Before long, he found himself approaching the waterhole.  A small flock
of speckled brown ducks drifted peacefully on the surface of the water.
At the sight, his stomach rumbled.  They would make a delicious
breakfast, once they were roasted and seasoned.  He licked his lips in
anticipation, and began to slip toward them.

Once within range, he stopped and glanced around for some projectiles.
The ducks were too spread out to hit with a single stick, so he picked
up several suitably sized pebbles.  He paused, testing the weight of one
in his palm.  They still hadn't noticed him yet.  He took aim, and let
the stone fly, followed by another, then another.

A tremendous flapping, splashing, squawking sound filled the air as the
ducks panicked and took off.  Tarou waited for all the floating feathers
to clear, and then cast his eye over the surface of the water.  Two
ducks floated limply on the surface of the water.  He must have missed
the third, startling the rest.  He berated himself under his breath; he
hadn't missed an easy shot like that in years.

He used a stick to drag the bodies to the edge of the waterhole, and
then bent to retrieve them.  He couldn't feel a heartbeat, but he
snapped their necks with a practiced twist of his wrist, just in case.

He grasped both ducks by the feet and stood up again, catching a glimpse
of himself in the surface of the water as he did.  He was proud of his
appearance normally, but the deep purple circles under his eyes spoke
all too eloquently of the many nights of broken sleep.  He raked the
fingers of his free hand through his hair a few times to fluff it up,
but it just hung there limply around his face.

"You finished gazin' at yourself yet?"

Startled, he spun around.  Ranma was approaching, a cheeky grin
plastered across his face.  Tarou scowled.  The pigtailed boy wasn't
even trying to move quietly.  There was no way he should have been able
to sneak up like that; he hadn't been able to in the past.

"You're up early," Tarou said, "or did you just get back?"

"Been back since last night."  Ranma crouched by the water and lowered a
water bottle into it, holding it under by his fingertips to get as
little of his hand wet as possible.  The grin had faded, and he was
absorbed with watching the bubbles bursting against the surface of the
water.  "Where'd you run off to?"

"Slept out."

"Yeah, it looks like it."  The pigtailed boy gave a humourless little
smile.  "What happened to watchin' after Ryouga?"

"It was raining," Tarou said matter-of-factly.  "Where was he going to
go?"

"Doesn't matter.  You still shoulda stayed with him."  Ranma pulled the
water bottle out, screwed the cap back on, and then dunked the second
one under.

Tarou knelt down on the grass and laid the ducks beside him.  "I didn't
expect I'd have to babysit him half the night," he muttered.

Ranma screwed the lid on the second bottle and laid it aside.  "Look,
Tarou," he said, "I gotta go back to that village again tonight.  Can
you stay with him again?  Properly, this time."

"Why?  Did the old crone actually come up with something useful?"

Ranma paused for a moment.  "No, I need to talk to 'kane-"

"Figures," Tarou smirked.

"Hey, are you gonna let me explain or not?" Ranma growled.  "I couldn't
talk to her last night, but I think Akane's figured out why we're out
here.  I think she knows about Ryouga."

"So?"

"You know about P-Chan, right?  About how he's Akane's pet?  She used to
take him to bed with her.  Nah, it wasn't like that," the pigtailed boy
added quickly, raising a hand.  "I woulda stopped him if it was.  She
never figured out that Ryouga was P-Chan.  She's gonna kill me."

"More likely she'll kill him."  So much for ex-pig-boy's innocent act.
Had he been in fem-boy's position, he'd have squashed the little twerp.

"She prob'ly will, but she'll kill me worse.  I knew about it, and I
didn't tell her."

"So, when are you going to tell him?" Tarou said, grinning.

"You're a sadistic jerk, you know that?  I ain't gonna tell him, not
yet.  Not until I find out whether it's true or not.  And I don't want
you tellin' him either, you got that?"

"You think you'd be able to stop me?" Tarou queried, raising an eyebrow
curiously.

"Jeez, Tarou!  Why've you always gotta be like this?  I knew I shouldna
told you anythin'!"

"Why did you then?"

"Dunno."  Ranma picked a pebble up from the ground and rolled it around
in his fingers, lost in thought.  He lobbed the pebble into the water.
"Maybe I thought I could trust you to keep your mouth shut."

A single duck feather, speckled brown and black, bobbed along on the
ripples until it hit the muddy bank.

Tarou stared numbly at the surface of the water, and wondered what that
nagging little feeling at the back of his mind was.  "Okay, fine," he
said, raising his hands.  "I won't tell him."

Ranma looked doubtful.  "Really?"

Tarou nodded.

The cloud that had been hanging over Ranma's head lifted.  That nagging
feeling had gone too.  Tarou looked up into the pigtailed boy's eyes,
and, just for a moment, wondered if this was what it felt like to have a
friend.

Ranma picked up the bottles, climbed to his feet and wiped the damp
grass from his legs with a few sweeps of his free hand.  Tarou stood up
also.

"Are those for breakfast?" Ranma said, indicating the ducks.

"No, I thought I'd just carry them around for a while."

Ranma gave a dry little chuckle.  "I knew I kept you around for a
reason."  Tarou blinked, puzzled.  "Your cooking," the pigtailed boy
clarified.  "Now, if only I could get you to wash my clothes for me,
too."

"Not a chance."

"Nah, didn't think so."  Ranma clapped Tarou on the shoulder with an
open hand.  "C'mon, I'm gettin' hungry."

---

The fist approached with all of the ponderous inevitability of an
incoming asteroid.  Ranma wiped a trickle of sweat from his forehead and
calculated his options.  Even at less than full power, Ryouga's punch
would hurt like hell if it hit.  It was fortunate that the lost boy
didn't have the speed to land many of his blows.

He waited until the fist was almost upon him, and then ducked to the
side, sending the lost boy flying with a powerful kick to his back.

"You still leave a helluva lot of openings," Ranma quipped, cracking his
knuckles.

Ryouga climbed to his feet and turned to face the pigtailed boy.  "Are
you going to talk or fight?" he said, raising his fists.

"Fightin' sounds good to me."

Ranma launched himself at his opponent, hoping that Ryouga would do the
same.  The two boys met in midair, trading blows that would have
shattered concrete.  Ranma weaved between Ryouga's fists and let loose
with a flurry of punches of his own before the other boy had a chance to
block.  His knuckles thudded satisfyingly into the lost boy's flesh but,
for all the effect they had, he may as well have missed.

Ranma landed and spun around to face the other boy.  Ryouga was standing
in a half crouched position, fists balled, looking like a tiger about to
pounce.  He looked like he always had - a dangerous opponent - not like
someone who had nearly died only two days earlier.

"You sure you're up for this?" Ranma smirked.  "I don't need you dying
on me or nothin'."

Ryouga grinned, his lips quirking upward to reveal his pointed canines.
"Of course I'm up for it.  Do you want to stop already?"

Ranma heard a chuckle from behind him, and risked a quick glance over
his shoulder.  Tarou was leaning up against a nearby tree, arms crossed,
and a huge smirk plastered across his face.

"Dunno what you're laughin' about," Ranma tossed over his shoulder.  "I
could take you both on at the same time if I wanted."

"Really?" came the disbelieving reply.

Apparently, Ryouga didn't believe him either.  The lost boy shot a
puzzled look in Tarou's direction, and then shrugged.  "Okay, Ranma,
you're on."

Ranma felt the thrill of adrenalin as the Chinese boy moved into
position.  He hadn't had a proper challenge like this in months.  He'd
show them who was the best!

"Uh, Tarou," he said.  "Sparring match, remember?  No tryin' to kill
each other, no splashing each other...?"

"So?"

"So, you won't be needin' that water bottle you've got strapped to your
waist, will you?"

"Silly me."  The look of innocence on the Chinese boy's face was spoilt
by the smirk that he hadn't quite managed to hide.

Ranma waited impatiently as the water bottle was untied and tossed off
to one side, and then drew himself into a combat stance.  Now, all he
had to do was work out how on earth he was going to defeat these two.

As expected, Ryouga charged first.  Ranma ignored the boy's extended
fist, and planted a powerful kick to his chest, driving him back.  He
sensed something at his back - Tarou had already managed to slip around
behind him.  He whirled around, but was too slow to avoid the punch that
the Chinese boy had aimed at his jaw.  His head snapped back with the
impact, but he ignored the pain and pressed forward, aiming a flurry of
punches at Tarou's smirking face which the Chinese boy dodged with
infuriating ease.

Ranma felt the distinctive rush of heat as Ryouga attacked from behind.
At the same time, Tarou pressed forward again.  Ranma slid to one side,
not wanting to get caught between them.  The two boys followed after
him, with Ryouga attacking straight on and Tarou trying to swing back
around to the side.  Ranma soon found himself on the defensive, dodging
the fanged boy's rapid kicks and punches while trying not to let the
Chinese boy slip from his sight.

He felt something at his back, and risked a quick glance over his
shoulder to check.  He had been driven back against a large tree.  At
the same time as Ryouga lunged forward with a powerful punch, he leapt
straight up.  The lost boy's fist sank into the tree trunk with a huge
splintering crunch, right behind where Ranma's head had been only
moments earlier.  Ranma landed lightly on a branch, near the trunk,
wondering why Ryouga hadn't followed him up.

Suddenly, the tree gave a sickening lurch and began to topple.  Heart
racing, he sprinted down the length of the branch and sprang from the
end.

For a moment, he thought he wasn't going to make it.  He was back inside
the branches and he couldn't see.  Leaves and twigs scraped down his
body, as if the tree were intent on clawing him down to earth with it.
Then, just as quickly, he was free again, sailing through the air.  He
flipped in midair so he could see behind him, just in time to see the
huge tree crashing down in a hail of twigs and leaves.

He landed and waited.  One heartbeat.  Two.  Three.  Leaves fluttered to
the ground around him, but otherwise, all was still.

"Hey, guys?" he called hesitantly.

Ranma sensed rapid movement behind him, and lashed out with an elbow.
It connected solidly with his attacker's side, eliciting a grunt of
pain.  He turned to see Tarou, rubbing at his ribs irritably.

"So, there you are," Ranma said.  He lowered his fists.  "Where's
Ryouga?"

The Chinese boy looked around, and then shrugged.  "No idea.  Unlike
bacon brain, I don't wait around to get hit by falling trees."

"Over here," a muffled voice called out.

There was an explosion, followed by a hail of rocks, and a large crack
snaked out along the ground from under the tree.  Ryouga burst out of
the ground in another shower of rocks.  He landed in a defensive crouch,
but then relaxed when he caught sight of Ranma.

"Are we finished already?" Ryouga said, picking a clod of dirt from his
ear.

"Not unless you are," Ranma smirked, cracking his knuckles.  He dropped
back into his combat stance, and waited for the others to do the same.

---

Ryouga dropped to his knees, panting heavily.  That sparring session had
taken more out of him than he'd thought it would.  The sight of Ranma
sprawled on the ground beside him made him feel a little better though.
Tarou was standing off to one side, leaning against a tree nonchalantly.
On closer inspection though, Ryouga could see that he too had sweat
streaming down his face.

Ryouga worked his way to his feet and stretched.  It felt like he'd been
caught in a rockslide.  His whole body had been pummelled, no individual
blow hard enough to hurt, but the cumulative effect was painful.

Ranma flopped onto his back and groaned.  "What I wouldn't give for a
hot spring right now."

Ryouga rubbed at an aching muscle and nodded his agreement.  He glared
at the Chinese boy.  "What were you hitting me for anyway?  We were
supposed to be fighting Ranma."

"You hit me first."

"You got in the way," Ryouga snapped in reply.

"Funny how the only way you can hit me is when you're aiming for him,"
Tarou sneered, jerking a thumb in Ranma's direction.  He chuckled.  The
sound set Ryouga's teeth on edge.  "Even your fists get lost."

Ryouga's fists clamped shut reflexively.  "You take that back."

"Or what?  You'll try to hit me again?"  Tarou sniggered again.  "Tell
you what.  I'll even turn my back."

Tarou stepped away from the tree, and turned around so that he was
facing the other way.

Ryouga felt his face flush as anger, hot and dark, coursed through him.
He let out an inarticulate snarl of rage and, ignoring his aching body,
launched himself at the Chinese boy.

At the last moment, just when Ryouga thought that the other boy had no
hope of escaping, Tarou spun around in a blur.  He slid around the
approaching fist like it wasn't there, and plunged a set of knuckles
hard into Ryouga's throat.  On anyone else, it would have been a killing
blow.

Ryouga staggered back, gasping for breath.

Tarou folded his arms across his chest and smirked.  "Oh, come on.
You're tougher than that."

"Why you...!" Ryouga growled.

Ryouga gritted his teeth and pressed in harder, attacking with a
ferocity that he hadn't felt since his early fights with Ranma.  The
jerk was mocking him now, laughing and weaving around his kicks and
punches like they were nothing, not even bothering to fight back.

No, he wasn't going to beat Tarou on pure speed.  And he was tiring; he
couldn't keep this up forever.  He had to come up with something soon.

He lunged forward again with his right fist, aiming for his opponent's
shoulder.  He waited until Tarou ducked to the side, and then sent his
left hand snaking out towards the boy's waist, feeling a surge of
triumph as his fingers brushed against the fluttering lengths of
pantyhose.  Quickly, he latched hold of the sash around the knot, and
used it to haul the Chinese boy toward him.  At the same time, he drove
his fist hard into the boy's stomach.

Ryouga took advantage of his opponent's surprise and attacked again.  He
held him by the sash with one hand, and then drove his other fist again
and again into Tarou's face, ignoring the look of pain and panic he saw
there.  The Chinese boy soon gave up trying to hit back, and threw his
arms up in front of his face to protect himself.  At some point they
tripped, and he landed sprawling on top of the other boy, but still he
didn't stop hitting.  He was going to pay the jerk back for the time he
had kidnapped Akane, and for every time he'd called him pig-boy, and
every time he'd sneered at his sense of direction, and...

He heard a voice call his name, and felt strong hands gripping his
shoulders, and the mad, roaring rage vanished as quickly as it had come.

"Jeez, Ryouga!  What the hell were you doin'?"

Ryouga stared in confusion at the battered, still form beneath him.
"I... I don't know," he mumbled, sliding to the ground.  "I just wanted
to stop him making fun of me."

"Well, I think you did that."

Ranma knelt down beside Tarou, and lightly slapped his swollen, bruised
cheek.  The Chinese boy whimpered and rolled his head to the side,
causing a trickle of blood to run from his nose.  He was conscious, but
only barely.

Ryouga felt a wave of guilt wash over him.  He had only meant to teach
the boy a lesson, and if Ranma hadn't stopped him...

"C'mon," Ranma said, sliding an arm under Tarou's shoulders.  "Let's get
him back to camp."

---

He was lying on his back under an expanse of dark green.  He wasn't sure
why.

Everything hurt.  He felt like... he couldn't describe what he felt
like, but it put him in mind of the time that he'd crashed onto some
rocks from fifty feet up in the air, back when he'd first been learning
to fly.  That had hurt, too.

Eventually, everything swam back into focus enough for him to make out
his surroundings.  He was lying under a large tree, not too far from the
campsite if the smell of woodsmoke was any indication.  He could hear
the other two boys talking, but they were too far away for him to make
out what they were saying.

Tarou tried to work his way up into a sitting position.  His head
throbbed, protesting against even that gentle movement, so he lay back
down again.

"Hey," Ranma called out, "you're awake."

"Apparently."  It even hurt to talk.

Ranma wandered over and knelt down beside Tarou.  He leaned in close,
peering intently at the damage.  "The swelling's goin' down already," he
said brightly.  "You heal pretty quick... not as quick as me, of
course."  The pigtailed boy then leaned back on his heels, arms folded,
and added, "I hope this ain't gonna become a habit of yours."

"What?"

"You gettin' beat up by Ryouga and me havin' to save you," Ranma
grinned.

Tarou felt a surge of mingled shame and anger.  "Got to play hero again,
did you?" he said bitterly.

Ranma shot him a pointed look.  "Y'know, some people might be grateful
they were saved."

"I'm not some people," the Chinese boy said, carefully working his way
up into a sitting position.  "I'm me."

"Yeah, well look where that got you."

Tarou shot a baleful glare at Ryouga, who was pottering about on the far
side of the tent.  "Next time I fight him, I'm going to kill him."

Ranma followed the Chinese boy's gaze.  He leaned back against the tree,
apparently lost in thought, and tugged at his pigtail distractedly.

"Uh, Tarou," the pigtailed boy said eventually.  "Ryouga's gonna come
with me to the village.  Did you wanna come too?"

"To the village?" Tarou repeated.  Ranma was being unbelievably cocky -
or stupid - if he planned on taking the fanged boy with him.  "What's
the matter?" he smirked.  "Can't bear to be parted from him again?"

"Course not, idiot!"  Ranma cuffed the Chinese boy lightly over the
head.  "He wanted to come.  I couldn't really say no, could I?"  There
was a pause.  "So, are you comin'?  You could keep him outta the way
while I talk to 'kane."

Tarou raised an eyebrow.  "You insult me, and then you ask me for a
favour?"

Ranma shrugged.  The gesture seemed forced.  "Fine.  Stay here then."

Without saying another word, the pigtailed boy climbed to his feet and
marched off to fetch Ryouga.

Tarou leaned back against the tree trunk and chewed thoughtfully on a
fingernail.  He had been beaten; quite badly if the ache in his body was
any indication.  Ryouga had gotten lucky, it was true, but there was no
way he would have been beaten if he still had his monster body.  Or if
he wasn't forced to wear the stupid pantyhose around his waist...

What was he hanging around for?  The vain hope that Mr Directionally
Useless would actually remember the location of that spring?  Some
misguided notion of friendship?  Companionship?  Bah!  If he wanted his
body back, he was going to have to do it himself.  And once he did, the
first thing he was going to do was pound that brainless, directionless,
perverted, curse-stealing ex-pig-boy into the ground!

Tarou watched as Ranma and Ryouga walked off.  He waited until they were
out of sight, and then went back to the tent to retrieve his belongings.

---

Ranma stood with his back to the late afternoon sun, grimly surveying
the telephone booth as though it were a mortal enemy.  It was best to
get this over and done with.  With any luck, Akane wouldn't know
anything about the trip or their curses, and then he could get back to
trying to fix this stupid curse business.

He glanced down the street toward Ryouga.  Sending the lost boy to the
convenience store probably wasn't the best idea, but since Tarou had
been too busy sulking about being beaten to come along and help, there
weren't many other options.  Satisfied that the lost boy was out of
earshot - and, more importantly, not lost - Ranma picked up the handset,
slipped in a ten yen coin, and dialled the number for the Tendou Dojo.
The phone rang once, twice, three times.

"Hello, Ranma," a familiar voice said.

Ranma breathed a sigh of relief.  "Hey, 'kane," he said.

The phone rang again.

Oh, crap.

Ranma pulled the phone away from his ear and stared at it.  It was still
ringing.  That meant Akane hadn't answered the phone.  That meant...

He hung up the phone, and turned around slowly, a sheepish grin already
forming on his lips.  She was standing there, not two metres from him,
the afternoon sun rimming her hair with a golden fire - or was it a
battle aura?

"Hey, Akane!"  He gave a nonchalant little wave, and then snatched his
hand out of the air when he realised just how stupid that would look.

She gave him a small smile, and shrugged the huge backpack off her
shoulders and sat it on the ground beside her.  One of the straps had
come undone; quickly, she refastened it.  Ranma tried not to pay
attention to how her impossibly tiny shorts rode up as she bent over.

He allowed himself to relax a little.  She didn't seem angry.  If
anything, she seemed more pensive.

"Couldn't wait to see me again, huh?" Ranma said, grinning.

"What's going on, Ranma?" she said flatly.

Ranma folded his arms and considered his options.  General denial seemed
like a good one.  "Nothin'.  Just a training trip."

Akane shook her head, clearly not believing him.  "Who was that girl you
were hugging on television?"

"Hugging?!" Ranma exclaimed indignantly.  Did she think he was some kind
of pervert, or something?  "I never hugged nobody!"

"Kunou saw you!"

"And you believe Kunou over me?!"  Ranma gave a derisive chuckle.  "The
guy was too stupid to figure out about the pigtailed girl."

She put her hands on her hips and glared at him.  "So you're saying I'm
stupid, now?"

"What?  No, I never said that!"

"Well, what are you saying?"

"I ain't saying nothin'," Ranma snapped.

"What's going on, Ranma?  I know that this isn't just a training trip.
Why were you chasing Pantyhose Tarou?  Why did the newsreader call him
Ryouga?"

Ranma felt the blood run from his face.  She had all the pieces.  It was
only a matter of time before she put them together.

"Because it was Ryouga!  Ryouga has Tarou's curse."

"And the girl in the scaled shirt?" Akane demanded.  "The one you were
hugging?"

Ranma rolled his eyes.  "Jeez, Akane, I never hugged him!  That was
Tarou.  He was the girl!"

"I know he's a bit pretty but-"

"No, I mean he has the girl curse now."

"Does that mean...?"  She stared at him, her eyes widening.

Ranma closed his eyes, waiting for the bombshell to fall.  There was
only one piece of the puzzle left.  There was no way she couldn't have
figured it out by now!

"Does that mean you're cured?"

Ranma let out a breath he didn't even know he'd been holding.

"Oh Ranma!" she cried, before he had time say anything.  She leapt
towards him and wrapped her arms around his neck.  "I'm so happy for
you!"

Ranma supposed that he should have been feeling relieved, but he didn't.
He felt like the lowest of the low, the biggest jerk in the world, like
something you'd scrape out from P-Chan's hooves.  Sweet, innocent,
trusting, wonderfully blind Akane...

Akane pulled back, and the smile slipped from her face.  "But what about
poor Ryouga?  We can't leave him with that curse!"

Ranma spotted movement out of the corner of his eye and turned to
investigate.  Ryouga had chosen just that moment to return from the
shop.

The fanged boy spotted Akane and froze, his mouth gaping wide.  Whatever
it was he'd been holding in his hands slipped and smashed onto the
ground.  Akane jogged towards him, smiling reassuringly.

"It's okay, Ryouga," she soothed.  "Ranma told me everything."

Ryouga backed up a couple of steps, his hands raised defensively.  "H-he
did?" he queried, shooting an accusatory glare towards Ranma.  "And you
don't mind?"

"We're friends, aren't we?  I don't care about your curse."

Oh gods, no! Ranma thought frantically.  Don't tell him that, Akane!

"You don't?"  Ryouga blinked disbelievingly, and his hands dropped ever
so slightly.  "You're not angry about P-Chan?"

Akane stopped dead in her tracks.  "P-Chan?  But what's he got to do
with...?"  Very slowly, she turned back around to face Ranma, her
expression hard and unyielding.  "Ranma, what did you do to my P-Chan?
He was around just before you left and then..."  She blinked, confused.
"But he said... No!"  She shook her head violently and then ran back up
the street to her backpack.

Ranma watched her, heart racing, praying that whatever bit of Akane's
brain it was that kept her from seeing the truth about the piglet
normally, came back from wherever it had gone.  Maybe she was leaving.

"Or maybe she's just getting her cooking stuff so she can turn you into
sweet and sour pork," a little voice piped up from within.

Akane spent a moment rummaging around in her backpack, and then stood
up.  Ranma's heart sank when he saw what she was holding in her hand.
She unscrewed the lid from the water bottle and waved it at him
threateningly.

"What's that for?"

"I want to splash you."

"I don't think you wanna do that," he warned.

"Why not?"  She advanced toward him menacingly.  "You haven't been
cured, have you?"

"Ack!" he squawked, dodging a splash of water.

"You were lying to me, weren't you?"

"Well, technically, no... aaah!"  He nimbly avoided another stream of
water.  "No, wait!  I can explain!"

Ranma waited for his brain to come up with something - anything - that
would get him out of this, but nothing came.  He turned and looked over
at Ryouga... poor Ryouga... who stood like a statue, not even breathing,
and an expression of grim resignation on his face.  It was over, and
they both knew it.

"I ain't cured," Ranma mumbled.  "I got Ryouga's curse.  His old one."

"Ryouga's curse...?" she repeated hesitantly, as if she didn't really
want to know the answer.  "What do you turn into?"

"Piglet."

The word hit her like a kick to the stomach.  Akane staggered back,
gasping for breath, expressions of shock, horror, pain and disgust all
warring for dominance on her face.  She let out a roar of rage, and
slapped him across the face.  It hurt far worse than any blow he had
received in battle.

"Why didn't you tell me?!" she screamed, her face so crimson it was
nearly purple.  "All those months and you never told me!  Why?!"

She then gave a howl of fury and turned her attention to Ryouga.  Ranma
waited for the onslaught, but it never came.  He glanced over his
shoulder to see why.  Ryouga had vanished.

---

The tiny figure bounded through the trees at a speed that even Ranma had
no hope of matching.  Several hours nestled in sweet Akane's panties had
topped up his flagging energy reserves, and he was on a mission.
Somewhere, there was a girl out here, one who desperately wanted him to
change her name, and he was going to find her.

He had even managed to scrounge up a picture of her.  He had to admit
the boy made an exquisite girl.  Not quite his type - he preferred long
hair - but so firm and round in all the right places, and so virgin and
untouched.  He couldn't wait!

Happousai alighted on a tree branch to catch his breath.  He whipped out
one of Akane's bras from his gi, and twirled it around his finger
thoughtfully.  Pantyhose Tarou had better appreciate his present; he'd
stolen it just for her.  Ranma - the little ingrate - had never
appreciated his presents, but something told Happousai that the girl
would love this one.  It was so pretty and the lace so delicate.  No
doubt she'd be so thrilled with it that she'd offer to give him a little
fashion show.  She might even allow him to nuzzle up close, and then
he'd be able to smell the sweet fabric against the soft musk of her
skin, and feel the lace against his cheek.

Happousai pressed his face into the bra and breathed in its delicate
scent, and then tucked it securely back into his gi.  He felt around for
the sizeable concentrations of ki which signalled the presence of a
powerful martial artist.  He still couldn't sense anything, but it
didn't matter.  No, he'd find her soon enough.

+++++++++++++++++++++++++++

-- 
Rebecca

             .---Anime/Manga Fanfiction Mailing List----.
             |   Administrators - [email-masked] 	|
             |   Unsubscribing - [email-masked]	|
             |     Put 'unsubscribe' in the subject     |
             `--------- http://ffml.ca/faq.txt ---------'